SUBDIRS = icons

INCLUDES = -I$(srcdir)/../libkmldonkey -I$(srcdir)/.. $(all_includes)
#AM_CPPFLAGS = -DKDE_NO_COMPAT -DQT_NO_COMPAT -DQT_NO_CAST_ASCII -DQT_NO_ASCII_CAST $(all_includes)

kde_module_LTLIBRARIES = mldonkeyapplet.la

mldonkeyapplet_la_SOURCES = mldonkeyapplet.cpp mldonkeyappletgui.cpp \
		appletconfig.cpp mldonkeyappletiface.skel
mldonkeyapplet_la_METASOURCES = AUTO

ifacedir = $(includedir)/kmldonkey
iface_HEADERS = mldonkeyappletiface.h

CLEANFILES=mldonkeyapplet.la.closure

mldonkeyapplet_la_LDFLAGS = $(all_libraries) -version-info 1:0:0 -module -no-undefined
mldonkeyapplet_la_LIBADD = $(LIB_KDEUI) ../libkmldonkey/libkmldonkey.la

KDE_ICON = AUTO
#kde_icon_DATA = mldonkeyapplet.png

lnk_DATA = mldonkeyapplet.desktop
lnkdir = $(kde_datadir)/kicker/applets

#EXTRA_DIST = $(lnk_DATA) mldonkeystatusform.ui mldonkeyappletgui.ui

